{% set name = "datafetcher" %}
{% set version = "4.0.0a1.dev1" %}

package:
  name: "{{ name|lower }}"
  version: "{{ version }}"

build:
  entry_points:
    - datafetcher = datafetcher.commands:main
  script: {{ PYTHON }} setup.py install

source:
  path: ../../../apps/cli/executables/datafetcher

requirements:
  build:
    - python==3.8
    - pika>=1.1,<2
    - pycapo>=0.3.0,<1.0
    - beautifulsoup4>=4.9.1,<5.0
    - lxml>=4.3.2,<5.0
    - psycopg2>=2.8.5,<3.0
    - pyopenssl>=19.1.0,<20.0
    - requests>=2.23,<3.0
  run:
    - python==3.8
    - pika>=1.1,<2
    - pycapo>=0.3.0,<1.0
    - beautifulsoup4>=4.9.1,<5.0
    - lxml>=4.3.2,<5.0
    - psycopg2>=2.8.5,<3.0
    - pyopenssl>=19.1.0,<20.0
    - requests>=2.23,<3.0

test:
  source_files:
    - test/
  requires:
    - pytest>=5.4,<6.0
  commands:
    - pytest -vv --log-level=DEBUG --showlocals test/datafetcher_test.py

about:
  license: "GPL"
  license_family: "GPL"
  summary: "NRAO Archive Data Fetcher Script"